### Method

# ECal ComponentBag list

since: 3.58

#### Declaration [src]

    GPtrArray*
    e_cal_component_bag_list (
      ECalComponentBag* self
    )

#### Description [src]

Lists all components stored in the `self`. The items are of the `ECalComponentBagItem` type. Even only the container is needed to be freed, the items are owned by the container and can be modified in any way without influencing the `self`.

Available since: 3.58

#### Return value

Type: An array of `ECalComponentBagItem*`

A `GPtrArray` containing all the currently stored components in the bag as `ECalComponentBagItem` objects.

The caller of the method takes ownership of the returned data container, but not the data inside it.